Bug 229864 - math/singular: add USES=ncurses warned by stage-qa
Summary: math/singular: add USES=ncurses warned by stage-qa
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-18 13:45 UTC by Koichiro Iwao
Modified: 2018-10-22 14:31 UTC (History)
4 users (show)

See Also:


Attachments
patch (720 bytes, text/plain)
2018-07-18 13:45 UTC, Koichiro Iwao
no flags Details
patch (857 bytes, patch)
2018-08-01 12:58 UTC, Koichiro Iwao
meta: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2018-07-18 13:45:17 UTC
Created attachment 195244 [details]
patch

* add USES=ncurses warned by stage-qa
* replace some hardcoded "/bin/bash" not been replaced with shebangfix
Comment 1 Bugzilla Automation freebsd_committer 2018-07-18 13:45:17 UTC
Maintainer informed via mail
Comment 2 Koichiro Iwao freebsd_committer 2018-08-01 12:58:36 UTC
Created attachment 195715 [details]
patch

PORTREVISON should be bumped.
Comment 3 Koichiro Iwao freebsd_committer 2018-08-01 12:59:31 UTC
Maintainer timeout. pi@, can you review this?
Comment 4 Koichiro Iwao freebsd_committer 2018-08-10 04:19:20 UTC
mentor's approval needed.
Comment 5 Koichiro Iwao freebsd_committer 2018-08-29 05:22:17 UTC
ping
Comment 6 Nathan 2018-09-10 04:04:38 UTC
Patch looks good to me. Built for me on my poudriere jails
Comment 7 Kurt Jaeger freebsd_committer 2018-09-20 19:39:33 UTC
Approved. Sorry that it took me so long, the last weeks were busy 8-(
Comment 8 commit-hook freebsd_committer 2018-09-21 06:30:47 UTC
A commit references this bug:

Author: meta
Date: Fri Sep 21 06:30:15 UTC 2018
New revision: 480228
URL: https://svnweb.freebsd.org/changeset/ports/480228

Log:
  math/singular: add USES=ncurses warned by stage-qa

  Also,
  * replace some hardcoded "/bin/bash" not been replaced with shebangfix

  PR:		229864
  Submitted by:	meta (myself)
  Approved by:	maintainer timeout, pi (mentor)

Changes:
  head/math/singular/Makefile